Subject: Re: bug#7722: 24.0.50; Finding this C++ header file drops emacs into a infinite loop

From: Tassilo Horn <[email-masked]>
Date: Sun, 06 Feb 2011 20:20:30 +0100

Alan Mackenzie <[email-masked]> writes:

Hi Alan,

> Here's a putative patch for the problem.  I've refactored the
> offending function by replacing obscenely nested `if'-forms with a
> simple `cond'.  I've also removed some narrowing (to the 500n limit)
> which should help jit-lock, hopefully without hurting too much
> elsewhere.
>
> Tassilo, would you try out the patch, please, and let me know how it
> goes.  Thanks!

Seems to work fine.  I had no problems visiting that bad header file.

Bye,
Tassilo